import { z } from "zod";

export const lobbyPatchSchema = z.object({
  name: z
    .string()
    .min(2, {
      message: "Name must contain at least 2 characters",
    })
    .max(64, {
      message: "Name can only contain up to 64 characters",
    }),
  maxPlayers: z.number().min(2).max(12).default(2),
});

export const LobbyMemberRoleSchema = z.enum(["admin", "player"]);
export type LobbyMemberRole = z.infer<typeof LobbyMemberRoleSchema>;
